/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2007-2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifndef AE_COUNTER_VALUE_FNS_H
#define AE_COUNTER_VALUE_FNS_H

#ifdef __cplusplus
extern "C" {
#endif



AE_API void AE_CounterValues_CalculateDiffValues(AE_COUNTER_VALUE *v, const AE_COUNTER_VALUE *lastValue);
AE_API void AE_CounterValues_CalculateTotalValues(AE_COUNTER_VALUE *v, const AE_COUNTER_VALUE *firstValue);

AE_API void AE_CounterValue_List_CalculateDiffValues(AE_COUNTER_VALUE_LIST *vList);
AE_API void AE_CounterValue_List_CalculateTotalValues(AE_COUNTER_VALUE_LIST *vList);

AE_API const AQDB_VALUE *AE_CounterValues_GetFieldValueByName(const AE_COUNTER_VALUE *cv, const char *n);



#ifdef __cplusplus
}
#endif


#endif
