/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2014 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifndef FM_COUNTER_TYPESPAGE_HPP
#define FM_COUNTER_TYPESPAGE_HPP


#include "ff_modtabbook.hpp"

#include <aqfinance/engine/book/ae_book.h>

#include <gwenhywfar/db.h>

#include <fx.h>

#include <list>



class FM_CountersCounterTab;


class FM_CountersPage: public FF_ModTabBook {
public:
  FM_CountersPage(FXComposite *p,
                  FXuint opts=0,
                  FXint x=0, FXint y=0, FXint w=0, FXint h=0);
  ~FM_CountersPage();

  void openCounterPage(const AE_COUNTER_TYPE *ct);

protected:
  FM_CountersPage();

  FM_CountersCounterTab *m_counterTab;
};



#endif

